# JPMC-PDP Documentation from https://developer.payments.jpmorgan.com # Resources ## Payment and creditor options Payments through Push to Wallet can be sent to a beneficiary's PayPal or Venmo wallet using the email address or mobile phone number registered to their account. The beneficiary's email address or mobile number must be registered with PayPal or Venmo before payments can be disbursed to these wallets. > Payments sent to an invalid, unverified, or unregistered email address or phone number will be rejected. > ## Purpose codes PayPal and Venmo require a purpose code to be included in every payout request. Below is a list of valid purpose codes. **Purpose code values** | Code value | | --- | | GOODS | | SERVICES | | NON_GOODS_OR_SERVICES | | REBATES | | CASHBACK | | AWARDS | | DISCOUNTS | | DONATIONS | | PRIZES | ## Duplicate logic The Global Payments API supports [idempotent calls](/api/treasury/global-payments/overview#idempotency), which are beneficial in scenarios such as initiating payments, creating a client, making changes, or retrying a failed request due to network issues. The Global Payments API considers a transaction to be a duplicate if a second transaction shares the same `endToEndId` and `debtorAccountId` as a previous transaction within 30 days. In such cases, J.P. Morgan will send a 202 response with the status of the original transaction, and the second transaction won't be processed. Don't send the same transaction more than once unless you have confirmed that the initial transaction was rejected. To confirm the status of any transaction, [retrieve the status of a Disbursements with ZelleĀ® request](https://developer.payments.jpmorgan.com/docs/treasury/global-payments/capabilities/global-payments/push-to-card/how-to/get-push-to-card-status). ## Back-dated and future-dated transactions Push to Wallet supports both back and future dated transaction processing. - Back-dated transactions: Up to one calendar day in the past (T-1). - Future-dated transactions: Up to five calendar days in advance (T+5). Future-dated transactions are marked as `WAREHOUSED` until the requested date, after which they released for continued processing. This allows clients to efficiently manage their cash flow and support batch processing models across multiple days. If you subscribe to callbacks, webhooks, or use the `GET /payments/status` endpoint, expect a `WAREHOUSED` [status](/docs/treasury/global-payments/capabilities/global-payments/push-to-wallet/how-to/get-status-of-p2w-request) for future-dated payments. ## Sanctions screening JWe screen client payment information to comply with U.S. Office of Foreign Assets Control (OFAC) regulations, applicable non-U.S. sanctions, and national and international anti-terrorism laws.